// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded FUSION ASSEMBLER.js)')


ServerEvents.recipes(event => {

    // greg_g_base
    event.recipes.gtceu.fusion_assembler('kubejs:greg_g_base')
        .notConsumable('gtceu:gear_casting_mold')
        .itemInputs('2x gtceu:uv_field_generator')
        .inputFluids(Fluid.of('gtceu:tritanium', 12960))
        .itemOutputs('kubejs:greg_g_base')
        .duration(600)
        .EUt(GTValues.VA[GTValues.UHV])

    // elicitor_rimae_ignotus
    event.recipes.gtceu.fusion_assembler('kubejs:elicitor_rimae_ignotus')
        .itemInputs('1x kubejs:ignota_casing')
        .itemInputs('4x gtceu:ruthenium_trinium_americium_neutronate_hex_wire')
        .itemInputs('16x #gtceu:circuits/uhv')
        .itemInputs('16x gtceu:uv_sensor')
        .itemInputs('16x gtceu:uv_emitter')
        .itemInputs('8x kubejs:greg_g_base')
        .itemInputs('64x gtceu:highly_advanced_soc')
        .itemInputs('12x #forge:double_plates/materia_ignota')
        .itemInputs('64x #forge:bolts/neutronium')
        .itemInputs('64x #forge:bolts/neutronium')
        .inputFluids(Fluid.of('gtceu:polybenzimidazole', 1296))
        .inputFluids(Fluid.of('gtceu:helium_plasma', 1000))
        .inputFluids(Fluid.of('gtceu:argon_plasma', 1000))
        .itemOutputs('gtceu:elicitor_rimae_ignotus')
        .duration(1200)
        .EUt(GTValues.VA[GTValues.UHV])


    // fin //

})